import 'package:flutter/material.dart';
import 'package:xinlake_text/formatters/number.dart';
import 'package:xinlake_text/formatters/remove_linebreak.dart';

class FormatterDemo extends StatefulWidget {
  const FormatterDemo({Key? key}) : super(key: key);

  @override
  State<FormatterDemo> createState() => _FormatterState();
}

class _FormatterState extends State<FormatterDemo> {
  @override
  Widget build(BuildContext context) {
    const InputDecoration _decoration = InputDecoration(
      contentPadding: EdgeInsets.only(top: 8, bottom: 4),
    );

    return ListView(
      padding: const EdgeInsets.all(10),
      children: [
        Row(
          children: [
            Expanded(
              child: TextFormField(
                autovalidateMode: AutovalidateMode.always,
                decoration: _decoration.copyWith(label: const Text("Thousands")),
                inputFormatters: [ThousandsFormatter()],
              ),
            ),
            const SizedBox(width: 10),
            Expanded(
              child: TextFormField(
                autovalidateMode: AutovalidateMode.always,
                decoration: _decoration.copyWith(label: const Text("Credit Card")),
                inputFormatters: [CreditCardFormatter()],
              ),
            ),
          ],
        ),
        TextFormField(
          autovalidateMode: AutovalidateMode.always,
          decoration: _decoration.copyWith(label: const Text("Remove linebreak")),
          inputFormatters: [RemoveLinebreakFormatter()],
          maxLines: null,
        ),
      ],
    );
  }
}
