import 'package:flutter/material.dart';
import 'package:xinlake_text/readable.dart';

class ReadableDemo extends StatefulWidget {
  const ReadableDemo({Key? key}) : super(key: key);

  @override
  State<ReadableDemo> createState() => _ReadableState();
}

class _ReadableState extends State<ReadableDemo> {
  int? _size;
  String _readSize = "";

  @override
  Widget build(BuildContext context) {
    const InputDecoration _decoration = InputDecoration(
      contentPadding: EdgeInsets.only(top: 8, bottom: 4),
    );

    return ListView(
      padding: const EdgeInsets.all(10),
      children: [
        Row(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Expanded(
              child: TextFormField(
                autovalidateMode: AutovalidateMode.always,
                decoration: _decoration.copyWith(
                  label: const Text("Size"),
                  suffixText: _readSize,
                ),
                onChanged: (value) {
                  int? size = int.tryParse(value);
                  if (size != null) {
                    setState(() {
                      _size = size;
                      _readSize = Readable.formatSize(_size!);
                    });
                  } else {
                    setState(() {
                      _readSize = "-";
                    });
                  }
                },
              ),
            ),
          ],
        )
      ],
    );
  }
}
