import 'package:flutter/services.dart';

class RemoveLinebreakFormatter extends TextInputFormatter {
  static final _lineWrap = RegExp(r"\r\n|\r|\n");

  @override
  TextEditingValue formatEditUpdate(TextEditingValue oldValue, TextEditingValue newValue) {
    if (newValue.text.contains(_lineWrap)) {
      return newValue.copyWith(text: newValue.text.replaceAll(_lineWrap, ""));
    }

    return newValue;
  }
}
