import 'dart:math';

class Readable {
  static String formatSize(int bytes, {int decimals = 2, int measure = 1024}) {
    if (bytes <= measure) {
      return "$bytes B";
    }

    const suffixes = ["B", " K", " M", " G", " T", " P", " E", " Z", " Y"];
    var i = (log(bytes) / log(measure)).floor();
    return ((bytes / pow(1024, i)).toStringAsFixed(decimals)) + suffixes[i];
  }
}
